Retrieve details for one pending invitation to the specified Ops Manager organization.
Required Roles
You can successfully call this endpoint with the Organization User Admin role.
Resource
Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0
GET /orgs/{ORG-ID}/invites/{INVITATION-ID}Request Path Parameters
Path Element | Type | Necessity | Description |
|---|---|---|---|
ORG-ID | string | Required | Unique 24-hexadecimal digit string that identifies the organization. |
INVITATION-ID | string | Required | Unique 24-hexadecimal digit string that identifies the invitation. |
Request Query Parameters
The following query parameters are optional:
Name | Type | Necessity | Description | Default |
|---|---|---|---|---|
pretty | boolean | Optional | Flag indicating whether the response body is in a prettyprint format. |
|
envelope | boolean | Optional | Flag that indicates whether to wrap the response in an envelope. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. For endpoints that return one result, the response body includes:
|
|
Request Body Parameters
This endpoint doesn't use HTTP request body parameters.
Response
Name | Type | Description |
|---|---|---|
createdAt | string | Timestamp in ISO 8601 date and time format in UTC when Ops Manager sent the invitation. |
expiresAt | string | Timestamp in ISO 8601 date and time format in UTC when the invitation expires. Users have 30 days to accept an invitation to an Ops Manager project. |
id | string | Unique 24-hexadecimal digit string that identifies the invitation. |
inviterUsername | string | Ops Manager user who invited username to the organization. |
orgId | string | Unique 24-hexadecimal digit string that identifies the organization. |
orgName | string | Name of the organization. |
roles | array of strings | Ops Manager roles to assign to the invited user. If the user accepts the invitation, Ops Manager assigns these roles to them. |
teamIds | array of strings | Unique 24-hexadecimal digit strings that identify the teams that the user was invited to join. |
username | string | Email address to which Ops Manager sent the invitation. If the user accepts the invitation, they use this email address as their Ops Manager username. |
Example Request
curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest --include \ --header "Accept: application/json" \ --request GET "https://opsmanager.example.com/api/public/v1.0/orgs/{ORG-ID}/invites/{INVITATION-ID}?pretty=true"Example Response
Response Header
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-aliveHTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}Response Body
{ "createdAt": "2021-02-18T21:05:40Z", "expiresAt": "2021-03-20T21:05:40Z", "id": "{INVITATION-ID}", "inviterUsername": "admin@example.com", "orgId": "{ORG-ID}", "orgName": "{ORG-NAME}", "roles": [ "ORG_MEMBER" ], "teamIds": [], "username": "wyatt.smith@example.com"}